<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="net.ayokemasjid.adminapp.ui.berita.BeritaViewModel"/>
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/root_layout"
        tools:context="net.ayokemasjid.adminapp.ui.berita.kategori.AddKategoriBeritaActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:elevation="6dp"
                app:navigationIcon="@drawable/ic_arrow_back_black_24dp"
                app:title="Tambah Kategori Berita"
                app:titleTextColor="#2F3542"/>

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Nama Kategori Berita"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etNama"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi nama kategori berita"
                                android:inputType="textPersonName"
                                android:text="@={viewmodel.namaKategori}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <Button
                        android:id="@+id/buttonAddKategori"
                        android:layout_marginStart="11dp"
                        android:layout_marginEnd="11dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginTop="4dp"
                        android:layout_marginBottom="22dp"
                        android:fontFamily="@font/roboto_bold"
                        android:text="Tambah"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="18sp" />

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

        </LinearLayout>

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|center_vertical"
            android:visibility="invisible" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>